package com.hfkj.sysenum;

import java.util.Objects;

/**
 * 活动金 - 活动结束方式
 */
public enum RebateActivityEndTypeEnum {
    type1(1, "自动"),
    type2(2, "手动"),
    ;

    private Integer number;

    private String name;

    RebateActivityEndTypeEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static RebateActivityEndTypeEnum getDataByNumber(Integer number) {
        for (RebateActivityEndTypeEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
